# $Revision: 1.10 $, $Date: 2002/07/04 12:25:57 $
%define		mod_name	dynvhost
%define 	apxs		/usr/sbin/apxs
Summary:	Dynamic Virtual Hosting
Summary(pl):	Dynamiczne Serwery Wirtualne
Name:		apache-mod_%{mod_name}
Version:	1
Release:	2
License:	GPL
Group:		Networking/Daemons
Source0:	http://funkcity.com/0101/projects/dynvhost/mod_%{mod_name}.tar.gz
URL:		http://funkcity.com/0101/
BuildRequires:	%{apxs}
BuildRequires:	apache(EAPI)-devel
BuildRequires:	zlib-devel
Prereq:		%{_sbindir}/apxs
Requires:	apache(EAPI)
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_pkglibdir	%(%{apxs} -q LIBEXECDIR)

%description
The "mod_dynvhost" module will create pseudo name based VirtualHosts
on the fly. All you need is a directory with the fully qualified
domain name ( FQDN ) of your virtual site and the module will take
care of the rest.

%description -l pl
Modu "mod_dynvhost" pozwala na tworzenie pseudo serwerw wirtualnych
(name based). Wszystko czego potrzebujesz to katalog o penej nazwie
(FQDN) wirtualnego serwera - modu zajmie si reszt.

%prep
%setup -q -n %{mod_name}

%build
%{apxs} -c mod_%{mod_name}.c -o mod_%{mod_name}.so

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_pkglibdir}

install mod_%{mod_name}.so $RPM_BUILD_ROOT%{_pkglibdir}

%post
%{_sbindir}/apxs -e -a -n %{mod_name} %{_pkglibdir}/mod_%{mod_name}.so 1>&2
if [ -f /var/lock/subsys/httpd ]; then
	/etc/rc.d/init.d/httpd restart 1>&2
fi

%preun
if [ "$1" = "0" ]; then
	%{_sbindir}/apxs -e -A -n %{mod_name} %{_pkglibdir}/mod_%{mod_name}.so 1>&2
	if [ -f /var/lock/subsys/httpd ]; then
		/etc/rc.d/init.d/httpd restart 1>&2
	fi
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README ChangeLog
%attr(755,root,root) %{_pkglibdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: apache-mod_dynvhost.spec,v $
Revision 1.10  2002/07/04 12:25:57  kloczek
- use new %doc.

Revision 1.9  2002/04/25 15:45:47  arturs
fixed a small typo

Revision 1.8  2002/03/19 14:01:38  ankry
- URL fixed

Revision 1.7  2002/02/23 01:23:22  kloczek
- adapterized.

Revision 1.6  2002/02/22 23:28:41  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/02/17 21:06:18  ankry
- release 2

Revision 1.4  2002/02/17 18:52:19  ankry
- added %%{apxs} local macro to avoid adapter problems
- fix use of %%{apxs} and %%{_sbindir}/apxs
- added BR %%{apxs} and Prereq %%{_sbindir}/apxs (if necessary); removed BR apache
- adapterized

Revision 1.3  2002/01/18 02:12:20  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.2  2001/09/09 21:19:57  kloczek
- cleanups.

Revision 1.1  2001/09/09 20:23:35  misiek
initial pld release
